serial

## Enum ByteSize

- java.lang.Object
- - java.lang.Enum<ByteSize>
  - - serial.ByteSize

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ByteSize>

    public enum ByteSize
    extends java.lang.Enum<ByteSize>

Enumeration defines the possible bytesizes for the serial port.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`EightBits` Use 8 bits in a byte.
`FiveBits` Use 5 bits in a byte.
`SevenBits` Use 7 bits in a byte.
`SixBits` Use 6 bits in a byte.

### Field Summary

Fields
`int` `bitLength` Number of bits in a single byte.

### Method Summary

Methods
`static ByteSize` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ByteSize[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### FiveBits

    public static final ByteSize FiveBits

Use 5 bits in a byte.

#### SixBits

    public static final ByteSize SixBits

Use 6 bits in a byte.

#### SevenBits

    public static final ByteSize SevenBits

Use 7 bits in a byte.

#### EightBits

    public static final ByteSize EightBits

Use 8 bits in a byte. This is the default.

### Field Detail

#### bitLength

    public final int bitLength

Number of bits in a single byte.

### Method Detail

#### values

    public static ByteSize[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ByteSize c : ByteSize.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ByteSize valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null